{% from "macros/regform_macro.html" import render_field %}
{% extends "base.html" %}

{% block title %}
Cart - Add to Cart
{% endblock %}

{% block cssimports %}
<link rel="stylesheet" type="text/css" href="{{url_for('static', filename='css/signin.css')}}"/>
{% endblock %}

{% block content %}

<div class="container">
<form class='form-signin' method='post' action="{{url_for('cart.add_to_cart')}}">
    <h2 class="form-signin-heading">Enter Quantity</h2>
    <dl>
        <h4>Item</h4>
        <input type='text'disabled = disabled name='item' value= "{{item}}"/>
    </dl>
    <dl>
        <h4>Price</h4>
        <input type='text' disabled = disabled name='price' value= "{{price}}"/>
    </dl>
    <dl>
    {{ render_field(form.quantity) }}
    </dl>
    {% with messages = get_flashed_messages(category_filter=["signup_failure"]) %}
    {% for message in messages %}
        <div class="alert alert-danger alert-dismissible">
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
            {{message}}
        </div>
    {% endfor %}
    {% endwith%}
    <input class='form-control' type='hidden' name='action' value= "add"/>
    <input class='btn btn-lg btn-primary btn-block' type='submit' value="Add to Cart" />
</form>
</div>
{% endblock %}